Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Public Member Functions | Private Member Functions | List of all members
OMPropertyModelSubclass Class Reference

Added for signal/slot support. More...

`#include <Plugin-PropertyVis/OpenMesh/OMPropertyModel.hh>`

Inheritance diagram for OMPropertyModelSubclass:

## Public Slots
virtual void | slotCombine ()
virtual void | slotSaveProperty ()
virtual void | slotLoadProperty ()
virtual void | slotPickProperty ()

## Public Member Functions
| OMPropertyModelSubclass (QObject *parent=0)
Public Member Functions inherited from SingleObjectPropertyModel
virtual void | pickModeChanged (const std::string &_mode)
virtual void | mouseEvent (QMouseEvent *_event)
| SingleObjectPropertyModel (QObject *parent=0)
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const
virtual QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
virtual void | objectUpdated ()
| Revisualizes visualized properties.
virtual void | visualize (QModelIndexList selectedIndices, QWidgetList widgets=QWidgetList())
| Visualizes the selected properties. More...
virtual void | removeProperty (QModelIndexList selectedIndices)
| Removes the selected properties.
virtual void | duplicateProperty (QModelIndexList selectedIndices)
| Duplicates the selected properties.
virtual void | gatherProperties ()
| Searches for properties and creates PropertyVisualizers.
virtual void | clear (QModelIndexList selectedIndices)
| Clears the selected property visualization.
void | hideWidget ()
| Hides the widget.
QWidget * | getWidget ()
| Returns the widget.
virtual void | updateWidget (const QModelIndexList &selectedIndices)
| Updates the widget.
void | connectLogs (PropertyVisualizer *propViz)
| Connects the PropertyVisualizer log signals with the log slot.
virtual PropertyInfo | getPropertyInfo (const QModelIndex index) const
| Returns the property info for the property with the given index.
Public Member Functions inherited from PropertyModel
| PropertyModel (QObject *parent=0)
QModelIndex | indexFromFancyPropName (const QString &propName) const
| Returns the index of the property with the given name.
QModelIndex | indexFromPlainPropName (const QString &propName) const
| Returns the index of the property with the given name.

## Private Member Functions
virtual void | combine ()
virtual void | saveProperty ()
virtual void | pickProperty ()

## Additional Inherited Members
Signals inherited from SingleObjectPropertyModel
void | log (Logtype _type, QString _message)
void | log (QString _message)
Protected Member Functions inherited from SingleObjectPropertyModel
PropertyVisualizer * | getPropertyVisualizer (QString propName, PropertyInfo::ENTITY_FILTER filter, TypeInfoWrapper typeInfo)
| Returns a PropertyVisualizer.
bool | isPropertyFree (QString propName, PropertyInfo::ENTITY_FILTER filter, TypeInfoWrapper typeInfo)
| Checks if the property name is still available.
QString | getLoadFilename ()
| Asks the user for a file to load.
virtual QString | getLoadFilenameFilter ()
| Returns the filename filter for loading.
QString | getSaveFilename (unsigned int propId)
| Asks the user for a file to load.
virtual QString | getSaveFilenameFilter (unsigned int propId)
| Returns the filename filter for saving.
virtual QString | getDefaultSaveFilename (unsigned int propId)
| Returns the default file name.
void | openFile (QString _filename, QFile &file_, QTextStream *&file_stream_)
| Opens a file.
void | closeFile (QFile &file_, QTextStream *&file_stream_)
| Closes a file.
QString | readLine (QTextStream *file_stream_)
| Read line from a file.
void | writeLine (QString _s, QTextStream *&file_stream_)
| Writes a line to a file.
void | saveProperty (unsigned int propId)
| Saves property.
void | loadProperty ()
| Loads property.
virtual void | setPropertyFromFile (QTextStream *&file_stream_, unsigned int n, PropertyVisualizer *propVis)
| Sets the property values from a given file.
virtual bool | parseHeader (QString header, PropertyVisualizer *&propVis, unsigned int &n)
| Parses the property file header. More...
Protected Attributes inherited from SingleObjectPropertyModel
std::vector< PropertyVisualizer * > | propertyVisualizers
QWidget * | widgets
QModelIndexList | currentlySelectedIndices
std::vector< unsigned int > | currentlyVisualizedIndices

## Detailed Description

Added for signal/slot support.

This class adds signal/slot support for OMPropertyModelSubclass. OMPropertyModel is then derived from this class to make use of those signals and slots. This needs to be done because "Sorry, Qt does not support templates that contain signals, slots or Q_OBJECT" http://doc.trolltech.com/qq/qq15-academic.html

Definition at line 72 of file OMPropertyModel.hh.

The documentation for this class was generated from the following file:

- Plugin-PropertyVis/OpenMesh/OMPropertyModel.hh